## hrp startproject

Create a scaffold project

```
hrp startproject $project_name [flags]
```

### Options

```
      --empty           generate empty project
  -f, --force           force to overwrite existing project
      --go              generate hashicorp go plugin
  -h, --help            help for startproject
      --ignore-plugin   ignore function plugin
      --py              generate hashicorp python plugin (default true)
```

### Options inherited from parent commands

```
      --log-json           set log to json format (default colorized console)
  -l, --log-level string   set log level (default "INFO")
      --venv string        specify python3 venv path
```

### SEE ALSO

* [hrp](hrp.md)	 - All-in-One Testing Framework for API, UI and Performance

###### Auto generated by spf13/cobra on 8-Jun-2025
